@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΚΑΤΕΒΑΖΕΙ PLAYLIST ΒΙΝΤΕΟ ΑΠΟ ΤΟ ΔΙΑΔΙΚΤΥΟ ΜΕ ΤΟ FRONTEND TOY FFMPEG YT-DLP 
REM ΦΥΣΙΚΑ ΓΙΑ ΝΑ ΤΑ ΚΑΤΕΒΑΣΕΙ ΠΡΕΠΕΙ ΝΑ ΥΠΑΡΧΕΙ ΤΟ YT-DLP. ΠΕΡΙΣΣΟΤΕΡΑ ΣΤΟ: https://github.com/yt-dlp/yt-dlp
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF


echo.
echo Αρχίζω να κατεβάζω την λίστα "%~1" ..
echo.
REM  μπορείτε και καλά θα κάνετε να βάλετε και αλλες παραμέτρους οπως το to --limit-rate RATE όπου RATE εξαρτάται απο την ταχύτητα του ιντερνετ 
REM  στο δίκτυο που χρησιμοποιείτε το προγραμμα αυτό και επειδη οι λιστες ειναι πολλά αρχεία το έχω ενσωματωσει στο Playlist
call yt-dlp.exe --min-sleep-interval "10" --max-sleep-interval "20" --limit-rate "1M" "%~1" --color screen:no_color --color stdout:no_color --color stderr:never
rem τρελαινει τα χρώματα του script το yt-dlp λογω της ctypes βιβλιοθηκης που χρησιμοποιώ και εγω στο GameLink :p
color 1F


if %ERRORLEVEL% NEQ 0 (
		call vidCodeError.bat %errorlevel%
		shift
	) else (
		call vidCodeError.bat 0
		shift		
)

if "%~1" == "" goto End
goto FF

rem endlocal 

:End 
call vid0ends.bat
exit /b 0